/*
 * Copyright 2017 NXP.
 * All Rights Reserved.
 */
#ifndef __GPUPERFCNT_DEBUGFS_H
#define __GPUPERFCNT_DEBUGFS_H

#ifdef __cplusplus
extern "C" {
#endif

#define ROOT_DEBUG_PATH	128
#define ROOT_GC_PATH	(ROOT_DEBUG_PATH + 128)

/**
 *
 */
int
debugfs_open(const char *fn, int mode);

/**
 *
 */
FILE *
debugfs_fopen(const char *fn, const char *mode);

/**
 *
 */
void
debugfs_read(const char *fn, char *buf, size_t buf_size);

/**
 *
 */
void
debugfs_write(char *buf, size_t buf_size, FILE *file);

/**
 *
 */
void
__debugfs_read(char *buf, size_t buf_size, FILE *file);

/**
 *
 */
void
debugfs_reopen(FILE *stream, const char *mode);

#ifdef __cplusplus
{
#endif

#endif /* __DEBUGFS_H */
