/*
 * Copyright 2017 NXP
 */
#ifndef __GPUPERFCNT_LOG_H
#define __GPUPERFCNT_LOG_H

#ifdef dprintf
#undef dprintf
#endif

#include <stdio.h>

#define dprintf(fmt, args...)		do {	\
	fprintf(stderr, fmt, ##args);		\
} while (0)

#define dfprintf(fp, fmt, args...)	do {	\
	fprintf(fp, fmt, ##args);		\
} while (0)

#endif /* __LOG_H */
